package com.lo53_mobile_localization.core.entity;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import java.io.Serializable;
import java.util.Objects;

/**
 * Created by Thomas on 18/05/2017.
 */

@Embeddable
public class RssiID implements Serializable {


    /**
	 * 
	 */
	private static final long serialVersionUID = -633357283850876731L;

	@Column(name = "location_id")
    private int locationId;

    @Column(name = "accessPoint_id")
    private int accessPointId;

    public int getLocationId() {
        return locationId;
    }

    public void setLocationId(int locationId) {
        this.locationId = locationId;
    }

    public int getAccessPointId() {
        return accessPointId;
    }

    public void setAccessPointId(int accessPointId) {
        this.accessPointId = accessPointId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof RssiID)) return false;
        RssiID that = (RssiID) o;
        return Objects.equals(getLocationId(), that.getLocationId()) &&
                Objects.equals(getAccessPointId(), that.getAccessPointId());
    }

    @Override
    public int hashCode() {
        return Objects.hash(getAccessPointId(), getLocationId());
    }
}
