<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <link rel="stylesheet" href="../css/bootstrap.min.css"/>
        <script src="../js/bootstrap.min.js"></script>
        <title>Settings</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    </head>
    <body>
    <div class="container">

        <form action ="${pageContext.request.contextPath}../preferences" method="POST">
        <h2>Settings</h2>
        <br/>
        <br/>
            <div class="form-group col-xs-4">

                <label for="port">Server port : </label>
                <input type="text" name="port" class="form-control" id="port" required="true" placeholder="0000 - 65535">

                <label for="ip">Server IP : </label>
                <input type="text" name="ip" class="form-control" id="ip" required="true" placeholder="XXX.XXX.XXX.XXX">

                <button type="submit" class="btn btn-info">
                    <span class="glyphicon glyphicon-check"></span> Confirm
                </button>
            </div>
            <br/>
            <br/>
        </form>
    </div>
    </body>
</html>
