package com.lo53_mobile_localization.core.service;


import com.lo53_mobile_localization.core.entity.IEntity;
import com.lo53_mobile_localization.core.entity.Map;
import com.lo53_mobile_localization.core.repository.MapDAO;

import java.util.List;

/**
 * Created by Thomas on 10/05/2017.
 */
public class MapService implements IService {

    protected MapDAO mapDAO;

    public MapService(){
        this.mapDAO = new MapDAO();
    }

    public void storeEntity(IEntity entity) {
        this.mapDAO.insertEntity((Map) entity);
    }

    public void updateEntity(int id, IEntity entity) throws Exception {
        this.mapDAO.updateEntity(id, (Map) entity);
    }

    public void removeEntity(int id) throws Exception {
        this.mapDAO.removeEntity(id);
    }

    public IEntity getEntity(int id) throws Exception {
        return this.mapDAO.getEntity(id);
    }

    public List getEntities() throws Exception {
        return this.mapDAO.getEntities();
    }
}
